SUSE Container Update Advisory: ses/7.1/ceph/prometheus-server
-----------------------------------------------------------------
Container Advisory ID : SUSE-CU-2023:1847-1
Container Tags        : ses/7.1/ceph/prometheus-server:2.32.1 , ses/7.1/ceph/prometheus-server:2.32.1.3.2.435 , ses/7.1/ceph/prometheus-server:latest , ses/7.1/ceph/prometheus-server:sle15.3.pacific
Container Release     : 3.2.435
Severity              : important
Type                  : security
References            : 1127591 1195633 1200441 1206513 1208060 1208329 1208965 1209406
                        1210164 1210593 1210870 1211231 1211232 1211233 1211339 1211430
                        1211795 CVE-2022-46146 CVE-2023-2650 CVE-2023-28320 CVE-2023-28321
                        CVE-2023-28322 CVE-2023-2953 
-----------------------------------------------------------------

The container ses/7.1/ceph/prometheus-server was updated. The following patches have been included in this update:

-----------------------------------------------------------------
Advisory ID: SUSE-RU-2023:2133-1
Released:    Tue May  9 13:37:10 2023
Summary:     Recommended update for zlib
Type:        recommended
Severity:    moderate
References:  1206513
This update for zlib fixes the following issues:

- Add DFLTCC support for using inflate() with a small window (bsc#1206513)

-----------------------------------------------------------------
Advisory ID: SUSE-SU-2023:2172-1
Released:    Thu May 11 11:46:25 2023
Summary:     Security update for golang-github-prometheus-prometheus
Type:        security
Severity:    important
References:  1200441

This update of golang-github-prometheus-prometheus fixes the following issues:

- rebuild the package with the go 19.9 secure release (bsc#1200441).

-----------------------------------------------------------------
Advisory ID: SUSE-SU-2023:2181-1
Released:    Thu May 11 18:49:16 2023
Summary:     Security update for SUSE Manager 4.3: Server
Type:        security
Severity:    important
References:  1208060,1208965,CVE-2022-46146
Security update for SUSE Manager 4.3: Server

This is a codestream only update

-----------------------------------------------------------------
Advisory ID: SUSE-SU-2023:2227-1
Released:    Wed May 17 09:57:41 2023
Summary:     Security update for curl
Type:        security
Severity:    important
References:  1211231,1211232,1211233,1211339,CVE-2023-28320,CVE-2023-28321,CVE-2023-28322
This update for curl fixes the following issues:

- CVE-2023-28320: Fixed siglongjmp race condition (bsc#1211231).
- CVE-2023-28321: Fixed IDN wildcard matching (bsc#1211232).
- CVE-2023-28322: Fixed POST-after-PUT confusion (bsc#1211233).

-----------------------------------------------------------------
Advisory ID: SUSE-RU-2023:2247-1
Released:    Thu May 18 17:04:38 2023
Summary:     Recommended update for libzypp, zypper
Type:        recommended
Severity:    moderate
References:  1127591,1195633,1208329,1209406,1210870
This update for libzypp, zypper fixes the following issues:

- Installing local RPM packages fails if /usr/bin/find is not installed (bsc#1195633)
- multicurl: propagate ssl settings stored in repo url (bsc#1127591)
- MediaCurl: Fix endless loop if wrong credentials are stored in credentials.cat (bsc#1210870)
- zypp.conf: Introduce 'download.connect_timeout' [60 sec.] (bsc#1208329)
- Teach MediaNetwork to retry on HTTP2 errors.
- Fix selecting installed patterns from picklist (bsc#1209406)
- man: better explanation of --priority

-----------------------------------------------------------------
Advisory ID: SUSE-RU-2023:2333-1
Released:    Wed May 31 09:01:28 2023
Summary:     Recommended update for zlib
Type:        recommended
Severity:    moderate
References:  1210593
This update for zlib fixes the following issue:

- Fix function calling order to avoid crashes (bsc#1210593)

-----------------------------------------------------------------
Advisory ID: SUSE-SU-2023:2343-1
Released:    Thu Jun  1 11:35:28 2023
Summary:     Security update for openssl-1_1
Type:        security
Severity:    important
References:  1211430,CVE-2023-2650
This update for openssl-1_1 fixes the following issues:

- CVE-2023-2650: Fixed possible denial of service translating ASN.1 object identifiers (bsc#1211430).

-----------------------------------------------------------------
Advisory ID: SUSE-RU-2023:2365-1
Released:    Mon Jun  5 09:22:46 2023
Summary:     Recommended update for util-linux
Type:        recommended
Severity:    moderate
References:  1210164
This update for util-linux fixes the following issues:

- Add upstream patches (bsc#1210164, bsc#1210164, bsc#1210164)

-----------------------------------------------------------------
Advisory ID: SUSE-SU-2023:2484-1
Released:    Mon Jun 12 08:49:58 2023
Summary:     Security update for openldap2
Type:        security
Severity:    moderate
References:  1211795,CVE-2023-2953
This update for openldap2 fixes the following issues:

- CVE-2023-2953: Fixed null pointer deref in ber_memalloc_x (bsc#1211795).


The following package changes have been done:

- golang-github-prometheus-prometheus-2.32.1-150100.4.14.1 updated
- libblkid1-2.36.2-150300.4.35.1 updated
- libcurl4-7.66.0-150200.4.57.1 updated
- libfdisk1-2.36.2-150300.4.35.1 updated
- libldap-2_4-2-2.4.46-150200.14.14.1 updated
- libldap-data-2.4.46-150200.14.14.1 updated
- libmount1-2.36.2-150300.4.35.1 updated
- libopenssl1_1-hmac-1.1.1d-150200.11.65.1 updated
- libopenssl1_1-1.1.1d-150200.11.65.1 updated
- libsmartcols1-2.36.2-150300.4.35.1 updated
- libsolv-tools-0.7.24-150200.18.1 updated
- libuuid1-2.36.2-150300.4.35.1 updated
- libz1-1.2.11-150000.3.45.1 updated
- libzypp-17.31.11-150200.61.1 updated
- openssl-1_1-1.1.1d-150200.11.65.1 updated
- system-user-prometheus-1.0.0-150000.8.4 updated
- util-linux-2.36.2-150300.4.35.1 updated
- zypper-1.14.60-150200.51.1 updated
- container:sles15-image-15.0.0-17.20.146 updated

SUSE: 2023:1847-1 ses/7.1/ceph/prometheus-server Security Update

June 13, 2023
The container ses/7.1/ceph/prometheus-server was updated

Summary

Advisory ID: SUSE-RU-2023:2133-1 Released: Tue May 9 13:37:10 2023 Summary: Recommended update for zlib Type: recommended Severity: moderate Advisory ID: SUSE-SU-2023:2172-1 Released: Thu May 11 11:46:25 2023 Summary: Security update for golang-github-prometheus-prometheus Type: security Severity: important Advisory ID: SUSE-SU-2023:2181-1 Released: Thu May 11 18:49:16 2023 Summary: Security update for SUSE Manager 4.3: Server Type: security Severity: important Advisory ID: SUSE-SU-2023:2227-1 Released: Wed May 17 09:57:41 2023 Summary: Security update for curl Type: security Severity: important Advisory ID: SUSE-RU-2023:2247-1 Released: Thu May 18 17:04:38 2023 Summary: Recommended update for libzypp, zypper Type: recommended Severity: moderate Advisory ID: SUSE-RU-2023:2333-1 Released: Wed May 31 09:01:28 2023 Summary: Recommended update for zlib Type: recommended Severity: moderate Advisory ID: SUSE-SU-2023:2343-1 Released: Thu Jun 1 11:35:28 2023 Summary: Security update for openssl-1_1 Type: security Severity: important Advisory ID: SUSE-RU-2023:2365-1 Released: Mon Jun 5 09:22:46 2023 Summary: Recommended update for util-linux Type: recommended Severity: moderate Advisory ID: SUSE-SU-2023:2484-1 Released: Mon Jun 12 08:49:58 2023 Summary: Security update for openldap2 Type: security Severity: moderate

References

References : 1127591 1195633 1200441 1206513 1208060 1208329 1208965 1209406

1210164 1210593 1210870 1211231 1211232 1211233 1211339 1211430

1211795 CVE-2022-46146 CVE-2023-2650 CVE-2023-28320 CVE-2023-28321

CVE-2023-28322 CVE-2023-2953

1206513

This update for zlib fixes the following issues:

- Add DFLTCC support for using inflate() with a small window (bsc#1206513)

1200441

This update of golang-github-prometheus-prometheus fixes the following issues:

- rebuild the package with the go 19.9 secure release (bsc#1200441).

1208060,1208965,CVE-2022-46146

Security update for SUSE Manager 4.3: Server

This is a codestream only update

1211231,1211232,1211233,1211339,CVE-2023-28320,CVE-2023-28321,CVE-2023-28322

This update for curl fixes the following issues:

- CVE-2023-28320: Fixed siglongjmp race condition (bsc#1211231).

- CVE-2023-28321: Fixed IDN wildcard matching (bsc#1211232).

- CVE-2023-28322: Fixed POST-after-PUT confusion (bsc#1211233).

1127591,1195633,1208329,1209406,1210870

This update for libzypp, zypper fixes the following issues:

- Installing local RPM packages fails if /usr/bin/find is not installed (bsc#1195633)

- multicurl: propagate ssl settings stored in repo url (bsc#1127591)

- MediaCurl: Fix endless loop if wrong credentials are stored in credentials.cat (bsc#1210870)

- zypp.conf: Introduce 'download.connect_timeout' [60 sec.] (bsc#1208329)

- Teach MediaNetwork to retry on HTTP2 errors.

- Fix selecting installed patterns from picklist (bsc#1209406)

- man: better explanation of --priority

1210593

This update for zlib fixes the following issue:

- Fix function calling order to avoid crashes (bsc#1210593)

1211430,CVE-2023-2650

This update for openssl-1_1 fixes the following issues:

- CVE-2023-2650: Fixed possible denial of service translating ASN.1 object identifiers (bsc#1211430).

1210164

This update for util-linux fixes the following issues:

- Add upstream patches (bsc#1210164, bsc#1210164, bsc#1210164)

1211795,CVE-2023-2953

This update for openldap2 fixes the following issues:

- CVE-2023-2953: Fixed null pointer deref in ber_memalloc_x (bsc#1211795).

The following package changes have been done:

- golang-github-prometheus-prometheus-2.32.1-150100.4.14.1 updated

- libblkid1-2.36.2-150300.4.35.1 updated

- libcurl4-7.66.0-150200.4.57.1 updated

- libfdisk1-2.36.2-150300.4.35.1 updated

- libldap-2_4-2-2.4.46-150200.14.14.1 updated

- libldap-data-2.4.46-150200.14.14.1 updated

- libmount1-2.36.2-150300.4.35.1 updated

- libopenssl1_1-hmac-1.1.1d-150200.11.65.1 updated

- libopenssl1_1-1.1.1d-150200.11.65.1 updated

- libsmartcols1-2.36.2-150300.4.35.1 updated

- libsolv-tools-0.7.24-150200.18.1 updated

- libuuid1-2.36.2-150300.4.35.1 updated

- libz1-1.2.11-150000.3.45.1 updated

- libzypp-17.31.11-150200.61.1 updated

- openssl-1_1-1.1.1d-150200.11.65.1 updated

- system-user-prometheus-1.0.0-150000.8.4 updated

- util-linux-2.36.2-150300.4.35.1 updated

- zypper-1.14.60-150200.51.1 updated

- container:sles15-image-15.0.0-17.20.146 updated

Severity
Container Advisory ID : SUSE-CU-2023:1847-1
Container Tags : ses/7.1/ceph/prometheus-server:2.32.1 , ses/7.1/ceph/prometheus-server:2.32.1.3.2.435 , ses/7.1/ceph/prometheus-server:latest , ses/7.1/ceph/prometheus-server:sle15.3.pacific
Container Release : 3.2.435
Severity : important
Type : security

Related News